Subject: Re: [rohc] Errata against ROHC RFCs

From: rstangarone-ietf <[email-masked]>
Date: Tue, 01 Feb 2011 21:16:29 -0800

I agree with Carsten's assessment.

Bob

On 02/01/2011 12:02 AM, Lars Eggert wrote:
> Thanks, Carsten. I'll wait a few days to give others a chance to chime in, but your suggestions seem reasonable to me.
> 
> On 2011-1-31, at 21:02, Carsten Bormann wrote:
> 
>> On Jan 31, 2011, at 13:21, Lars Eggert wrote:
>>
>>> Please discuss these errata on this list.
>>
>> Here is my assessment.
>> Thanks for bringing these up!
>>
>> Gruesse, Carsten
>>
>>
>> * RFC 3816:
>>
>> http://www.rfc-editor.org/errata_search.php?eid=737
>> -- many typos, some opportunity for editorial improvement
>> -- very little risk for misinterpretation, except maybe for 2f
>> -> Hold for Update
>> (The large number of errata leaves the document in a somwhat sorry
>> state.  It might be worthwhile to look at the implementation status of
>> RFC 3816 to assess the need for a re-spin.)
>>
>> * RFC 5795:
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2107
>> -- opportunity for minor editorial improvement
>> -- no risk
>> -> Hold for Update
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2108
>> -- errata submission simply misreads text (reads verb as noun)
>> -- could be improved editorially anyway (but not in the way proposed)
>> -- no risk
>> -> Reject, but make note to improve this text in next update
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2109
>> -- proposed change is somewhat pedantic;
>> -- it actually might reduce readability for some readers
>> -- no risk
>> -> Reject
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2110
>> "RFC Errata Report"
>> -- punctuation fix (typo)
>> -- no risk
>> -> Hold for Update
>>
>> * RFC 5857
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2274
>> -- editorial fix required: the wording on top of page 4 can be misread
>>   (the section reference parenthesis is about the new Notify Message
>>   Type value, not about the channel parameters carried by this
>>   message type).
>> -- also: this (and another) reference that should point to section 5
>>   (IANA considerations) incorrectly say "Section 4" (they should not
>>   say 3.1.2 as the errata states either).
>> -- annoying, but very little risk of misunderstanding
>> -> Hold for Update
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2275
>> -- typo
>> -- no risk
>> -> Hold for Update
>>
>> * RFC 5858
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2276
>> -- typos
>> -- no risk
>> -> Hold for Update
>>
>> http://www.rfc-editor.org/errata_search.php?eid=2277
>> -- idea for a very desirable editorial improvement
>> -- can probably be improved on further
>> -- even without that improvement, minimal risk of misinterpretation
>> -> Hold for Update
>>
> 
> 
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc

---

From: Carl Knutsson <[email-masked]>
Date: Wed, 02 Feb 2011 10:33:40 +0100

+1 for Carsten's assessment.

Cheers,

/Calle